## org.codehaus.groovy.tools.shell
Class CommandAlias

Provides simple command aliasing.

version:
  $Id: CommandAlias.groovy 7598 2007-08-23 03:46:59Z user57 $

author:
  Jason Dillon

Field Summary
`String` | `targetName`

Constructor Summary
`CommandAlias(Shell shell, String name, String shortcut, String target)`

Method Summary
`List` | `createCompletors()`
`Object` | `execute(List args)`
`String` | `getDescription()`
`String` | `getHelp()`
`boolean` | `getHidden()`
`Command` | `getTarget()`
`String` | `getUsage()`

Constructor Detail

### CommandAlias

    public CommandAlias(Shell shell, String name, String shortcut, String target)

Method Detail

### createCompletors

    List createCompletors()

### execute

    Object execute(List args)

### getDescription

    String getDescription()

### getHelp

    String getHelp()

### getHidden

    boolean getHidden()

### getTarget

    Command getTarget()

### getUsage

    String getUsage()